/**
 * Copyright (C) 2007  Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 **/
package org.ow2.bonita.definition;

import java.util.HashSet;
import java.util.Set;

import org.ow2.bonita.facade.QueryAPIAccessor;
import org.ow2.bonita.facade.QueryRuntimeAPI;
import org.ow2.bonita.facade.uuid.ProcessInstanceUUID;


/**
 * @author Guillaume Porcher
 *
 */
public class InstanceInitiator implements RoleMapper {

  public Set<String> searchMembers(QueryAPIAccessor accessor,
      ProcessInstanceUUID instanceUUID, String roleName) throws Exception {
    QueryRuntimeAPI queryRuntimeAPI = accessor.getQueryRuntimeAPI();
    String instanceInitiator;
    instanceInitiator = queryRuntimeAPI.getProcessInstance(instanceUUID).getStartedBy();
    Set<String> result = new HashSet<String>();
    result.add(instanceInitiator);
    return result;
  }

}
