package org.ow2.bonita.env.descriptor;

import org.hibernate.Session;
import org.jbpm.pvm.internal.wire.WireContext;
import org.jbpm.pvm.internal.wire.WireDefinition;
import org.jbpm.pvm.internal.wire.WireException;
import org.jbpm.pvm.internal.wire.descriptor.AbstractDescriptor;
import org.ow2.bonita.persistence.db.HibernateXpdlPersistenceService;

/**
 *
 * @author Marc Blachon, Guillaume Porcher, Charles Souillard, Miguel Valdes, Pierre Vigneras
 */
public class HibernateXpdlPersistenceServiceDescriptor extends
    AbstractDescriptor {

  private static final long serialVersionUID = 1L;

  protected String sessionName = null;

  private String name = null;
  
  public Object construct(WireContext wireContext) {

    // get the hibernate-session
    Session session = null;
    if (sessionName != null) {
      session = (Session) wireContext.get(sessionName);
      if (session == null) {
        throw new WireException("couldn't find hibernate-session '"
            + sessionName + "'"
            + "to create hibernate-xpdl-persistence-service");
      }
    } else {
      session = wireContext.get(Session.class);
      if (session == null) {
        throw new WireException("couldn't find hibernate-session by type "
            + "to create hibernate-xpdl-persistence-service");
      }
    }
    // create the hibernate-persistence-service
    return new HibernateXpdlPersistenceService(session);
  }

  public Class< ? > getType(WireDefinition wireDefinition) {
    return HibernateXpdlPersistenceService.class;
  }

  public void setSessionName(String sessionName) {
    this.sessionName = sessionName;
  }

  public void setName(String name) {
    this.name = name;
    super.setName(name);
  }
}
