/**
 * Copyright (C) 2006  Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 **/
package org.ow2.bonita.facade;


/**
 *  Helper class giving access to {@link QueryDefinitionAPI} and {@link QueryRuntimeAPI} interfaces.
 *
 */
public interface QueryAPIAccessor {

  /**
   * To get the QueryRuntimeAPI interface.
   * @return the interface QueryRuntimeAPI.
   */
  QueryRuntimeAPI getQueryRuntimeAPI();

  /**
   * To get the QueryDefinitionAPI interface.
   * @return the interface QueryDefinitionAPI.
   */
  QueryDefinitionAPI getQueryDefinitionAPI();
  
  /**
   * @return the number of times the API call will be re executed if an exception occurs.
   */
  int getRetries();
  
  /**
   * Sets the number of times the API call will be re executed if an exception occurs.
   * @param retries number of retries.
   */
  void setRetries(int retries);
}


