/**
 * Copyright (C) 2006  Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 **/
package org.ow2.bonita.facade.def.dataType.impl;

import org.ow2.bonita.facade.def.dataType.BasicTypeDefinition;
import org.ow2.novabpm.util.Misc;


public class BasicTypeDefinitionImpl extends DataTypeValueImpl implements BasicTypeDefinition {

  protected Type type;

  protected BasicTypeDefinitionImpl() { }

  public BasicTypeDefinitionImpl(Type type) {
    super();
    this.type = type;
  }

  public BasicTypeDefinitionImpl(BasicTypeDefinition src) {
    Misc.badStateIfNull(src, "Ouch! Impossible to build a new Definition object from null");
    this.type = src.getType();
  }

  public Type getType() {
    return type;
  }

  public BasicTypeDefinition copy() {
    return new BasicTypeDefinitionImpl(this);
  }
}


