/**
 * Copyright (C) 2006  Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 **/
package org.ow2.bonita.facade.def.dataType.impl;

import java.util.Set;

import org.ow2.bonita.facade.def.dataType.EnumerationTypeDefinition;
import org.ow2.bonita.util.Tool;
import org.ow2.novabpm.util.Misc;


public class EnumerationTypeDefinitionImpl extends DataTypeValueImpl implements EnumerationTypeDefinition {

  protected Set<String> enumerationValues;

  protected EnumerationTypeDefinitionImpl() { }

  public EnumerationTypeDefinitionImpl(Set<String> enumerationValues) {
    super();
    this.enumerationValues = enumerationValues;
  }

  public EnumerationTypeDefinitionImpl(EnumerationTypeDefinition src) {
    Misc.badStateIfNull(src, "Ouch! Impossible to build a new Definition object from null");
    this.enumerationValues = Tool.copy(src.getEnumerationValues());
  }

  public Set<String> getEnumerationValues() {
    return enumerationValues;
  }

  public EnumerationTypeDefinition copy() {
    return new EnumerationTypeDefinitionImpl(this);
  }
}


