/**
 * Copyright (C) 2006  Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 **/
package org.ow2.bonita.facade.def.element;

import java.io.Serializable;

/**
 * ExternalReference is a reference to an external definition of an entity.<br>
 * It can be used in DataTypes, Participant, and Application.
 */
public interface ExternalReferenceDefinition extends Serializable {

  /**
   * It specifies the identity of the entity within the external document.
   */
  String getXref();
  /**
   * It specifies the URI of the document that defines the type.
   */
  String getLocation();
  /**
   * It allows specification of the scope in which the entity is defined.
   */
  String getNamespace();

}


