/**
 * Copyright (C) 2006  Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 **/
package org.ow2.bonita.facade.def.element.impl;

import java.util.List;

import org.ow2.bonita.facade.def.element.ToolDefinition;
import org.ow2.bonita.util.Tool;
import org.ow2.novabpm.util.Misc;


public class ToolDefinitionImpl implements ToolDefinition {

  protected List<String> actualParameters;
  protected String description;
  protected String id;
  protected Type type;

  protected ToolDefinitionImpl() { }

  protected ToolDefinitionImpl(List<String> actualParameters, String description,
      String id, Type type) {
    super();
    this.actualParameters = actualParameters;
    this.description = description;
    this.id = id;
    this.type = type;
  }

  public ToolDefinitionImpl(ToolDefinition src) {
    Misc.badStateIfNull(src, "Ouch! Impossible to build a new Definition object from null");
    this.actualParameters = Tool.copy(src.getActualParameters());
    this.description = src.getDescription();
    this.id = src.getId();
    this.type = src.getType();
  }

  public List<String> getActualParameters() {
    return actualParameters;
  }

  public String getDescription() {
    return description;
  }

  public String getId() {
    return id;
  }

  public Type getType() {
    return type;
  }

}


