/**
 * Copyright (C) 2006  Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 **/
package org.ow2.bonita.facade.def.element.impl;

import java.util.HashSet;
import java.util.Set;

import org.ow2.bonita.facade.def.dataType.DataTypeDefinition;
import org.ow2.bonita.facade.def.dataType.impl.DataTypeDefinitionImpl;
import org.ow2.bonita.facade.def.element.TypeDeclarationDefinition;
import org.ow2.novabpm.util.Misc;


public class TypeDeclarationDefinitionImpl implements TypeDeclarationDefinition {

  protected Set<DataTypeDefinition> dataTypes;
  protected String description;
  protected String id;
  protected String name;

  protected TypeDeclarationDefinitionImpl() { }

  public TypeDeclarationDefinitionImpl(Set<DataTypeDefinition> dataTypes,
      String description, String id, String name) {
    super();
    this.dataTypes = dataTypes;
    this.description = description;
    this.id = id;
    this.name = name;
  }

  public TypeDeclarationDefinitionImpl(TypeDeclarationDefinition src) {
    Misc.badStateIfNull(src, "Ouch! Impossible to build a new Definition object from null");
    Set<DataTypeDefinition> dataTypes = src.getDataTypes();
    if (dataTypes != null) {
      this.dataTypes = new HashSet<DataTypeDefinition>();
      for (DataTypeDefinition d : dataTypes) {
        this.dataTypes.add(new DataTypeDefinitionImpl(d));
      }
    }
    this.description = src.getDescription();
    this.id = src.getId();
    this.name = src.getName();
  }

  public Set<DataTypeDefinition> getDataTypes() {
    return dataTypes;
  }

  public String getDescription() {
    return description;
  }

  public String getId() {
    return id;
  }

  public String getName() {
    return name;
  }

}


