/**
 * Copyright (C) 2006  Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 **/
package org.ow2.bonita.facade.ejb.ejb2.internal;

import org.ow2.bonita.facade.CommandAPI;
import org.ow2.bonita.facade.DefinitionAPI;
import org.ow2.bonita.facade.ManagementAPI;
import org.ow2.bonita.facade.QueryDefinitionAPI;
import org.ow2.bonita.facade.QueryRuntimeAPI;
import org.ow2.bonita.facade.RuntimeAPI;

/**
 * This class is only necessary to resolve a class loading problem in case we are in standard mode.
 * It allows to remove imports on internal classes from AccessorUtil (these classes have dependencies on 
 * javax.ejb classes).
 * @author Charles Souillard
 */
public final class EJB2AccessorUtil {

  private EJB2AccessorUtil() { }

  public static CommandAPI getCommandAPI() {
    return new EJB2InternalCommandAPI();
  }
  public static RuntimeAPI getRuntimeAPI() {
    return new EJB2InternalRuntimeAPI();
  }
  public static ManagementAPI getManagementAPI() {
    return new EJB2InternalManagementAPI();
  }
  public static DefinitionAPI getDefinitionAPI() {
    return new EJB2InternalDefinitionAPI();
  }
  public static QueryRuntimeAPI getQueryRuntimeAPI() {
    return new EJB2InternalQueryRuntimeAPI();
  }
  public static QueryDefinitionAPI getQueryDefinitionAPI() {
    return new EJB2InternalQueryDefinitionAPI();
  }
}


