/**
 * Copyright (C) 2006  Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 **/
package org.ow2.bonita.facade.impl;

import java.lang.reflect.Proxy;

import org.ow2.bonita.facade.APIInterceptor;
import org.ow2.bonita.facade.QueryAPIAccessor;
import org.ow2.bonita.facade.QueryDefinitionAPI;
import org.ow2.bonita.facade.QueryRuntimeAPI;

public class QueryAPIAccessorImpl implements QueryAPIAccessor {

  private int retries = 3;

  public QueryAPIAccessorImpl() {
  }

  public QueryAPIAccessorImpl(int retries) {
    this.retries = retries;
  }

  public QueryRuntimeAPI getQueryRuntimeAPI() {
    Class<QueryRuntimeAPI> clazz = QueryRuntimeAPI.class;
    APIInterceptor aPIInterceptor = new APIInterceptor(new QueryRuntimeAPIImpl());
    return (QueryRuntimeAPI) Proxy.newProxyInstance(QueryAPIAccessor.class.getClassLoader(),
        new Class[] {clazz}, aPIInterceptor);
  }

  public QueryDefinitionAPI getQueryDefinitionAPI() {
    Class<QueryDefinitionAPI> clazz = QueryDefinitionAPI.class;
    APIInterceptor aPIInterceptor = new APIInterceptor(new QueryDefinitionAPIImpl());
    return (QueryDefinitionAPI) Proxy.newProxyInstance(QueryAPIAccessor.class.getClassLoader(),
        new Class[] {clazz}, aPIInterceptor);
  }


  public int getRetries() {
    return retries;
  }


  public void setRetries(int retries) {
    this.retries = retries;
  }
}


