package org.ow2.bonita.facade.remote;

import java.net.URL;
import java.rmi.RemoteException;
import java.util.Map;
import java.util.Set;

import org.ow2.bonita.deployment.Deployment;
import org.ow2.bonita.facade.def.majorElement.ProcessDefinition;
import org.ow2.bonita.facade.exception.DeploymentException;
import org.ow2.bonita.facade.exception.PackageNotFoundException;
import org.ow2.bonita.facade.exception.UndeletablePackageException;
import org.ow2.bonita.facade.uuid.PackageDefinitionUUID;

public interface RemoteManagementAPI {

  Map<String, ProcessDefinition> deploy(final Deployment deployment) throws DeploymentException, RemoteException;

  Map<String, ProcessDefinition> deployBar(final URL barFileURL) throws DeploymentException, RemoteException;

  Map<String, ProcessDefinition> deployBar(final byte[] barFile) throws DeploymentException, RemoteException;

  void deployClass(byte[] clazz) throws DeploymentException, RemoteException;

  void deployClasses(Set<byte[]> classes) throws DeploymentException, RemoteException;

  void deployClassesInJar(byte[] classesArchive) throws DeploymentException, RemoteException;

  void undeploy(final PackageDefinitionUUID packageUUID) throws DeploymentException, RemoteException;

  void removeClass(String className) throws DeploymentException, RemoteException;

  void removeClasses(String[] classNames) throws DeploymentException, RemoteException;

  void replaceClass(String className, byte[] newClazz) throws DeploymentException, RemoteException;

  void clearHistory() throws RemoteException;

  Map<String, ProcessDefinition> deployXpdl(final URL xpdlURL) throws DeploymentException, RemoteException;
  Map<String, ProcessDefinition> deployXpdl(final byte[] xpdlFile) throws DeploymentException, RemoteException;
  
  Map<String, ProcessDefinition> deploy(final URL xpdlURL,
      final Class< ? >[] classes) throws DeploymentException, RemoteException;

  Map<String, ProcessDefinition> deployZip(final URL zipURL) throws DeploymentException, RemoteException;
  Map<String, ProcessDefinition> deployZip(final byte[] zipFile) throws DeploymentException, RemoteException;
  
  void deletePackage(PackageDefinitionUUID pacDefinitionUUID) throws PackageNotFoundException, 
  UndeletablePackageException, RemoteException;
}
