/**
 * Copyright (C) 2007  Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 **/
package org.ow2.bonita.runtime.var;

import java.util.ArrayList;

import org.jbpm.pvm.internal.type.Variable;

/**
 * @author Marc Blachon, Guillaume Porcher, Charles Souillard, Miguel Valdes, Pierre Vigneras
 */
public class EnumerationVariable extends Variable {

  private static final long serialVersionUID = 1L;

  protected Enumeration value = null;

  @Override
  public boolean isStorable(Object valueToCheck) {
    if (valueToCheck == null) {
      return true;
    }
    return Enumeration.class == valueToCheck.getClass();
  }

  @SuppressWarnings("unchecked")
  @Override
  public Object getObject() {
    if (value == null) {
      return null;
    }
    return new Enumeration(new ArrayList(value.getPossibleValues()), value.getSelectedValue());
  }

  @Override
  public void setObject(Object object) {
    this.value = (Enumeration) object;
  }
}
