/**
 * Copyright (C) 2007  Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 **/
package org.ow2.bonita.services;


/**
 * A Journal provides only non-archived informations.
 *
 * The main difference with an {@link History} is that a Journal
 * will never returns informations that have already been archived
 * (e.g: running instances, deployed processes).
 *
 * @author Pierre Vigneras
 * @date Feb 6, 2008
 * @see Archiver
 */
public interface Journal extends Recorder, Querier {
  String DEFAULT_KEY = "journal";

  
}
