package org.ow2.bonita.util;

import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Date;


public abstract class DateUtil {

  private DateUtil() { }

  private static SimpleDateFormat dateFormat = new SimpleDateFormat("yyyy/MM/dd/HH/mm/ss/SSS");
  private static SimpleDateFormat dateFormat2 = new SimpleDateFormat("yyyy/MM/dd/HH/mm/ss");

  public static Date parseDate(String formattedDate) {
    Date result;
    try {
      result = dateFormat.parse(formattedDate);
    } catch (ParseException e1) {
      try {
        result = dateFormat2.parse(formattedDate);
      } catch (ParseException e2) {
        throw new IllegalArgumentException(formattedDate + " is not a formatted date."
            + " Supported formats are " + dateFormat2.toPattern()
            + " and " + dateFormat.toPattern());
      }
    }
    return result;
  }
  
  public static String format(Date date) {
    return dateFormat2.format(date);
  }
}
